Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::ButtonBox Class Reference

A GtkButtonBox C++ wrapper class. More...

`#include <inti/gtk/buttonbox.h>`

Inheritance diagram for Inti::Gtk::ButtonBox:

List of all members.

## Public Member Functions

Accessors

- GtkButtonBox * gtk_button_box () const
    Get a pointer to the GtkButtonBox structure.
- GtkButtonBoxClass * gtk_button_box_class () const
    Get a pointer to the GtkButtonBoxClass structure.
- operator GtkButtonBox * () const
    Conversion operator; safely converts a ButtonBox to a GtkButtonBox pointer.
- ButtonBoxStyle get_layout () const
    Retrieves the method being used to arrange the buttons in a button box.

Methods

- void set_layout (ButtonBoxStyle layout_style)
    Changes the way buttons are arranged in the button box.
- void set_child_secondary (Widget &child, bool is_secondary)
    Sets whether child should appear in a secondary group of children.

Properties

- const LayoutStylePropertyProxy prop_layout_style ()
    How to layout the buttons in the button box (ButtonBoxStyle : Read / Write).

Child properties

- const SecondaryPropertyProxy prop_secondary ()
    Should the child appear in a secondary group of children, e.g., help buttons (bool : Read / Write).

## Protected Member Functions

Constructors

- ButtonBox ()
    Construct a new type of ButtonBox widget.
- ButtonBox (GtkButtonBox *button_box, bool reference=false)
    Construct a new ButtonBox from an existing GtkButtonBox.
- virtual ~ButtonBox ()=0
    Destructor.

## Detailed Description

A GtkButtonBox C++ wrapper class.

The primary purpose of ButtonBox is to keep track of the various properties of the HButtonBox and VButtonBox widgets. get_child_size() retrieves the minimum width and height for widgets in a given button box. set_child_size() allows those properties to be changed. The internal padding of buttons can be retrieved and changed per button box using get_child_ipadding() and set_child_ipadding() respectively. get_spacing() and set_spacing() retrieve and change default number of pixels between buttons, respectively. get_layout() and set_layout() retrieve and alter the method used to spread the buttons in a button box across the container, respectively.

## Constructor & Destructor Documentation

Inti::Gtk::ButtonBox::ButtonBox | ( | GtkButtonBox * | button_box,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new ButtonBox from an existing GtkButtonBox. Parameters:
  button_box | A pointer to a GtkButtonBox.
  reference | Set false if the initial reference count is floating, set true if it's not.
The button_box can be a newly created GtkButtonBox or an existing GtkButtonBox. (see G::Object::Object).

## Member Function Documentation

ButtonBoxStyle Inti::Gtk::ButtonBox::get_layout | ( |  | ) | const

| Retrieves the method being used to arrange the buttons in a button box. Returns: The method used to layout buttons in widget.

void Inti::Gtk::ButtonBox::set_child_secondary | ( | Widget & | child,
|  | bool | is_secondary
| ) |

  | Sets whether child should appear in a secondary group of children. Parameters:
  child | A child of widget.
  is_secondary | If true, the child appears in a secondary group.
A typical use of a secondary child is the help button in a dialog. This group appears after the other children if the style is BUTTONBOX_START, BUTTONBOX_SPREAD or BUTTONBOX_EDGE, and before the other children if the style is BUTTONBOX_END. For horizontal button boxes, the definition of before/after depends on direction of the widget (see Gtk::Widget::set_direction()). If the style is BUTTONBOX_START or BUTTONBOX_END, then the secondary children are aligned at the other end of the button box from the main children. For the other styles, they appear immediately next to the main children.

void Inti::Gtk::ButtonBox::set_layout | ( | ButtonBoxStyle | layout_style | ) |

  | Changes the way buttons are arranged in the button box. Parameters:
  layout_style | The new layout style.

The documentation for this class was generated from the following file:

- buttonbox.h

Main Page - Footer